<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwInstallation: fwInstallationRedu.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwInstallation
   &#160;<span id="projectnumber">8.4.5</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">fwInstallationRedu.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a2c76670efbbba134ace88413b5547275"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#a2c76670efbbba134ace88413b5547275">fwInstallationRedu_setReduSplitOff</a> (int pairToKeep)</td></tr>
<tr class="separator:a2c76670efbbba134ace88413b5547275"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46e8801ed80860c6e54136300a9601c2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#a46e8801ed80860c6e54136300a9601c2">fwInstallationRedu_reduSetSplitOff</a> (string sSystem, bool bAsk=true, int stayHost=1)</td></tr>
<tr class="separator:a46e8801ed80860c6e54136300a9601c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71b9e93341d52b004d9f07a8bb011f3b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#a71b9e93341d52b004d9f07a8bb011f3b">fwInstallationRedu_checkComponents</a> (bool &amp;isOk, dyn_dyn_mixed &amp;componentsToBeInstalled, dyn_dyn_mixed &amp;componentsToBeRemoved)</td></tr>
<tr class="separator:a71b9e93341d52b004d9f07a8bb011f3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79f374afc9bf8ef35f4a8498aeb8aefc"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#a79f374afc9bf8ef35f4a8498aeb8aefc">fwInstallationRedu_synchronize</a> (bool deleteFiles=false, string &amp;dontRestartProject, dyn_string descFilesInstallComponents=makeDynString())</td></tr>
<tr class="separator:a79f374afc9bf8ef35f4a8498aeb8aefc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80ce1ece5fefa7f941d541c1ad711e18"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#a80ce1ece5fefa7f941d541c1ad711e18">fwInstallationRedu_getLocalDp</a> (string dp)</td></tr>
<tr class="separator:a80ce1ece5fefa7f941d541c1ad711e18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90988737adf94730b74e08d5fc0095dd"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#a90988737adf94730b74e08d5fc0095dd">fwInstallationRedu_getReduDp</a> (string dp, string systemName=&quot;&quot;, int reduHostNum=0)</td></tr>
<tr class="separator:a90988737adf94730b74e08d5fc0095dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51f58cc70a2e46eaab628a9a55aab81b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#a51f58cc70a2e46eaab628a9a55aab81b">fwInstallationRedu_dpTypeChange</a> (dyn_dyn_string elements, dyn_dyn_int types)</td></tr>
<tr class="separator:a51f58cc70a2e46eaab628a9a55aab81b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f57e8cb9c0917f96110a6a15e6b016b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#a3f57e8cb9c0917f96110a6a15e6b016b">fwInstallationRedu_dpTypeCreate</a> (dyn_dyn_string elements, dyn_dyn_int types)</td></tr>
<tr class="separator:a3f57e8cb9c0917f96110a6a15e6b016b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a248035460bc287b99e087fcdf997a15e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#a248035460bc287b99e087fcdf997a15e">fwInstallationRedu_dpDelete</a> (string dpname)</td></tr>
<tr class="separator:a248035460bc287b99e087fcdf997a15e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb874b7fecffd5c697e64e0e3ff2b47a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#aeb874b7fecffd5c697e64e0e3ff2b47a">fwInstallationRedu_dpCreate</a> (string dpname, string dptype)</td></tr>
<tr class="separator:aeb874b7fecffd5c697e64e0e3ff2b47a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88a1c8bcbea75405ba0b20461e1e21b7"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#a88a1c8bcbea75405ba0b20461e1e21b7">fwInstallationRedu_dpSet</a> (string dpname, anytype val)</td></tr>
<tr class="separator:a88a1c8bcbea75405ba0b20461e1e21b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2ceacc47369e391669fdc79ad0f9700"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#af2ceacc47369e391669fdc79ad0f9700">fwInstallationRedu_isPassive</a> ()</td></tr>
<tr class="separator:af2ceacc47369e391669fdc79ad0f9700"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad84ee42410db5b6866f1a9ce952004e3"><td class="memItemLeft" align="right" valign="top">dyn_string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#ad84ee42410db5b6866f1a9ce952004e3">fwInstallationRedu_getDataHosts</a> ()</td></tr>
<tr class="separator:ad84ee42410db5b6866f1a9ce952004e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a734e12113e21bef5872c1f1d7b72052b"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#a734e12113e21bef5872c1f1d7b72052b">fwInstallationRedu_getPair</a> ()</td></tr>
<tr class="separator:a734e12113e21bef5872c1f1d7b72052b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b5eae412630a751100fbc9c2bd31726"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#a6b5eae412630a751100fbc9c2bd31726">fwInstallationRedu_isComponentInstalledInPair</a> (string component, string version)</td></tr>
<tr class="separator:a6b5eae412630a751100fbc9c2bd31726"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af53cb0fb788f9d6c82563013aa544842"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#af53cb0fb788f9d6c82563013aa544842">fwInstallationRedu_isRedundant</a> ()</td></tr>
<tr class="separator:af53cb0fb788f9d6c82563013aa544842"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35b595446b42773669195ccf0e4b6895"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#a35b595446b42773669195ccf0e4b6895">fwInstallationRedu_myReduHostNum</a> ()</td></tr>
<tr class="separator:a35b595446b42773669195ccf0e4b6895"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91d175fde4fd2c7b5066ae8b5d0c8eed"><td class="memItemLeft" align="right" valign="top">private bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#a91d175fde4fd2c7b5066ae8b5d0c8eed">fwInstallationRedu_matchAliasWithHostName</a> (string alias, string hostName)</td></tr>
<tr class="separator:a91d175fde4fd2c7b5066ae8b5d0c8eed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fbaf3187ef867bc7797994570d6236c"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#a9fbaf3187ef867bc7797994570d6236c">_fwInstallationRedu_getEventFromCfg</a> ()</td></tr>
<tr class="separator:a9fbaf3187ef867bc7797994570d6236c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b8fcebd447966ee46a0053ead2623a7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#a9b8fcebd447966ee46a0053ead2623a7">fwInstallationRedu_isSplitMode</a> ()</td></tr>
<tr class="separator:a9b8fcebd447966ee46a0053ead2623a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d1343730050b841141523072f52eaf0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#a8d1343730050b841141523072f52eaf0">fwInstallationRedu_isSplitActive</a> ()</td></tr>
<tr class="separator:a8d1343730050b841141523072f52eaf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b81dedc545b5093d497442b22cacd38"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#a6b81dedc545b5093d497442b22cacd38">fwInstallationRedu_getRecoveringDirection</a> (string peer=&quot;my&quot;)</td></tr>
<tr class="separator:a6b81dedc545b5093d497442b22cacd38"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a3733d855e24ac35ca39ee49846fea837"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwInstallationRedu_8ctl.html#a3733d855e24ac35ca39ee49846fea837">csFwInstallationReduLibVersion</a> = &quot;8.4.5&quot;</td></tr>
<tr class="separator:a3733d855e24ac35ca39ee49846fea837"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library contains helper functions to address redundant systems</p>
<dl class="section author"><dt>Author</dt><dd>Fernando Varela Rodriguez (EN-ICE) </dd></dl>
<dl class="section date"><dt>Date</dt><dd>August 2010 </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a2c76670efbbba134ace88413b5547275"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c76670efbbba134ace88413b5547275">&#9670;&nbsp;</a></span>fwInstallationRedu_setReduSplitOff()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwInstallationRedu_setReduSplitOff </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>pairToKeep</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Starts control script connecting to both event manager to exit the split mode. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pairToKeep</td><td>peer to keep alive </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a46e8801ed80860c6e54136300a9601c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46e8801ed80860c6e54136300a9601c2">&#9670;&nbsp;</a></span>fwInstallationRedu_reduSetSplitOff()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationRedu_reduSetSplitOff </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sSystem</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bAsk</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>stayHost</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Exists the split mode @praram sSystem PVSS system name </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">bAsk</td><td>ask user input </td></tr>
    <tr><td class="paramname">stayHost</td><td>host that survives </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a71b9e93341d52b004d9f07a8bb011f3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71b9e93341d52b004d9f07a8bb011f3b">&#9670;&nbsp;</a></span>fwInstallationRedu_checkComponents()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationRedu_checkComponents </td>
          <td>(</td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>isOk</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>componentsToBeInstalled</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>componentsToBeRemoved</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This method resolves the list of components missing in the local peer w.r.t the remote one a </p>

</div>
</div>
<a id="a79f374afc9bf8ef35f4a8498aeb8aefc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79f374afc9bf8ef35f4a8498aeb8aefc">&#9670;&nbsp;</a></span>fwInstallationRedu_synchronize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationRedu_synchronize </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>deleteFiles</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>dontRestartProject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>descFilesInstallComponents</em> = <code>makeDynString()</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function forces the sync of component in the local system, i.e. it removes from the local system components that are not installed in the remote redu peer and installs the ones that are missing in the local peer but already installed in the remote one </p>

</div>
</div>
<a id="a80ce1ece5fefa7f941d541c1ad711e18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80ce1ece5fefa7f941d541c1ad711e18">&#9670;&nbsp;</a></span>fwInstallationRedu_getLocalDp()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string fwInstallationRedu_getLocalDp </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dp</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This functions appends the suffix '_'+ myRedHostNum() to the dp passed as input argument </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dp</td><td>name of the dp </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>dp if redu system is number 1, dp + "_" + myReduHostNumber() if redu number is greater than 1 </dd></dl>
<dl class="section author"><dt>Author</dt><dd>F. Varela </dd></dl>

</div>
</div>
<a id="a90988737adf94730b74e08d5fc0095dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90988737adf94730b74e08d5fc0095dd">&#9670;&nbsp;</a></span>fwInstallationRedu_getReduDp()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string fwInstallationRedu_getReduDp </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>systemName</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>reduHostNum</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This functions appends the suffix '_'+ reduHostNum to the dp passed as input argument </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dp</td><td>name of the dp </td></tr>
    <tr><td class="paramname">systemName</td><td>when it is different that the local system and no reduHostNum is provided, if the remote system is redundant the active system's redu num is used </td></tr>
    <tr><td class="paramname">reduHostNum</td><td>redu number; when 0 and systemName is the local system, the local redu number is used </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>dp if redu system is number 1, dp + "_" + reduHostNum if redu number is greater than 1 </dd></dl>

</div>
</div>
<a id="a51f58cc70a2e46eaab628a9a55aab81b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51f58cc70a2e46eaab628a9a55aab81b">&#9670;&nbsp;</a></span>fwInstallationRedu_dpTypeChange()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationRedu_dpTypeChange </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_string&#160;</td>
          <td class="paramname"><em>elements</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_int&#160;</td>
          <td class="paramname"><em>types</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Wrapper function for the standard PVSS function dpTypeCreate to work in redundant systems. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">elements</td><td>dp-type elements </td></tr>
    <tr><td class="paramname">types</td><td>dp-type element types </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if error </dd></dl>
<dl class="section author"><dt>Author</dt><dd>F. Varela </dd></dl>

</div>
</div>
<a id="a3f57e8cb9c0917f96110a6a15e6b016b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f57e8cb9c0917f96110a6a15e6b016b">&#9670;&nbsp;</a></span>fwInstallationRedu_dpTypeCreate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationRedu_dpTypeCreate </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_string&#160;</td>
          <td class="paramname"><em>elements</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_int&#160;</td>
          <td class="paramname"><em>types</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Wrapper function for the standard PVSS function dpTypeCreate to work in redundant systems. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">elements</td><td>dp-type elements </td></tr>
    <tr><td class="paramname">types</td><td>dp-type element types </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if error </dd></dl>
<dl class="section author"><dt>Author</dt><dd>F. Varela </dd></dl>

</div>
</div>
<a id="a248035460bc287b99e087fcdf997a15e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a248035460bc287b99e087fcdf997a15e">&#9670;&nbsp;</a></span>fwInstallationRedu_dpDelete()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationRedu_dpDelete </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpname</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Wrapper function for the standard PVSS function dpCreate to work in redundant systems. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpname</td><td>name of the dp to be deleted </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if error </dd></dl>
<dl class="section author"><dt>Author</dt><dd>F. Varela </dd></dl>

</div>
</div>
<a id="aeb874b7fecffd5c697e64e0e3ff2b47a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb874b7fecffd5c697e64e0e3ff2b47a">&#9670;&nbsp;</a></span>fwInstallationRedu_dpCreate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationRedu_dpCreate </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dptype</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Wrapper function for the standard PVSS function dpCreate to work in redundant systems. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpname</td><td>name of the dp to be created </td></tr>
    <tr><td class="paramname">dptype</td><td>dp-type of the new dp </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if error </dd></dl>
<dl class="section author"><dt>Author</dt><dd>F. Varela </dd></dl>

</div>
</div>
<a id="a88a1c8bcbea75405ba0b20461e1e21b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88a1c8bcbea75405ba0b20461e1e21b7">&#9670;&nbsp;</a></span>fwInstallationRedu_dpSet()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationRedu_dpSet </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">anytype&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Wrapper function for the standard PVSS function dpSet to work in redundant systems. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpname</td><td>name of the dp to be set </td></tr>
    <tr><td class="paramname">val</td><td>value to be set </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if OK, -1 if error </dd></dl>
<dl class="section author"><dt>Author</dt><dd>F. Varela </dd></dl>

</div>
</div>
<a id="af2ceacc47369e391669fdc79ad0f9700"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2ceacc47369e391669fdc79ad0f9700">&#9670;&nbsp;</a></span>fwInstallationRedu_isPassive()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationRedu_isPassive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This functions checks whether the local system is the passive peer in a redundant system or not. </p><dl class="section return"><dt>Returns</dt><dd>FALSE - local system is not the passive peer, TRUE the local system is the passive peer </dd></dl>
<dl class="section author"><dt>Author</dt><dd>F. Varela </dd></dl>

</div>
</div>
<a id="ad84ee42410db5b6866f1a9ce952004e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad84ee42410db5b6866f1a9ce952004e3">&#9670;&nbsp;</a></span>fwInstallationRedu_getDataHosts()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dyn_string fwInstallationRedu_getDataHosts </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This functions returns the names of the hosts of a redundant project </p><dl class="section author"><dt>Author</dt><dd>F. Varela </dd></dl>

</div>
</div>
<a id="a734e12113e21bef5872c1f1d7b72052b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a734e12113e21bef5872c1f1d7b72052b">&#9670;&nbsp;</a></span>fwInstallationRedu_getPair()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string fwInstallationRedu_getPair </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This functions returns the name of the host where the redundant pair runs </p><dl class="section return"><dt>Returns</dt><dd>name of the redundant pair </dd></dl>
<dl class="section author"><dt>Author</dt><dd>F. Varela </dd></dl>

</div>
</div>
<a id="a6b5eae412630a751100fbc9c2bd31726"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b5eae412630a751100fbc9c2bd31726">&#9670;&nbsp;</a></span>fwInstallationRedu_isComponentInstalledInPair()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwInstallationRedu_isComponentInstalledInPair </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>component</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>version</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This functions checks if a particular version of a component is installed in the redundant pair </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">component</td><td>(in) name of the component </td></tr>
    <tr><td class="paramname">version</td><td>(in) version of the component </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if the component is installed in the pair. Otherwise, false </dd></dl>
<dl class="section author"><dt>Author</dt><dd>F. Varela </dd></dl>

</div>
</div>
<a id="af53cb0fb788f9d6c82563013aa544842"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af53cb0fb788f9d6c82563013aa544842">&#9670;&nbsp;</a></span>fwInstallationRedu_isRedundant()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwInstallationRedu_isRedundant </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This functions returns whether the current project is redundant </p><dl class="section return"><dt>Returns</dt><dd>boolean indicating whether the project is redundant </dd></dl>

</div>
</div>
<a id="a35b595446b42773669195ccf0e4b6895"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35b595446b42773669195ccf0e4b6895">&#9670;&nbsp;</a></span>fwInstallationRedu_myReduHostNum()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationRedu_myReduHostNum </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function returns the peer number where the Event Manager is running, to which my manager has an open and active connection. </p><dl class="section return"><dt>Returns</dt><dd>peer number of redu system, in non-redu system always 1; 1 if peer number cannot be determined + reason printed to the log </dd></dl>

</div>
</div>
<a id="a91d175fde4fd2c7b5066ae8b5d0c8eed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91d175fde4fd2c7b5066ae8b5d0c8eed">&#9670;&nbsp;</a></span>fwInstallationRedu_matchAliasWithHostName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private bool fwInstallationRedu_matchAliasWithHostName </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>alias</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>hostName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function checks if hostname resolved from given network alias matches the given hostname. Note: According to the help of getHostByAddr() function it may introduce a delay until host will be dermined from alias. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">alias</td><td>(in) Network alias </td></tr>
    <tr><td class="paramname">hostName</td><td>(in) Host name </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if alias points to given hostname, false if not </dd></dl>

</div>
</div>
<a id="a9fbaf3187ef867bc7797994570d6236c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fbaf3187ef867bc7797994570d6236c">&#9670;&nbsp;</a></span>_fwInstallationRedu_getEventFromCfg()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string _fwInstallationRedu_getEventFromCfg </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This functions returns the event host name from the config file </p><dl class="section return"><dt>Returns</dt><dd>hostname of the event manager from the config file </dd></dl>

</div>
</div>
<a id="a9b8fcebd447966ee46a0053ead2623a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b8fcebd447966ee46a0053ead2623a7">&#9670;&nbsp;</a></span>fwInstallationRedu_isSplitMode()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwInstallationRedu_isSplitMode </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This functions returns whether split mode is enabled for a redundant project </p><dl class="section return"><dt>Returns</dt><dd>true if the project is in split mode </dd></dl>

</div>
</div>
<a id="a8d1343730050b841141523072f52eaf0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d1343730050b841141523072f52eaf0">&#9670;&nbsp;</a></span>fwInstallationRedu_isSplitActive()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwInstallationRedu_isSplitActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This functions returns whether this is the split active pair </p><dl class="section return"><dt>Returns</dt><dd>true if this is the split active pair </dd></dl>

</div>
</div>
<a id="a6b81dedc545b5093d497442b22cacd38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b81dedc545b5093d497442b22cacd38">&#9670;&nbsp;</a></span>fwInstallationRedu_getRecoveringDirection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwInstallationRedu_getRecoveringDirection </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>peer</em> = <code>&quot;my&quot;</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Get recovering direction of the given peer. Default is my peer </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">peer</td><td>(default my) </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 -&gt; not recovering 1 -&gt; pushing data to other peer 2-&gt; receiving data from the other peer </dd></dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a3733d855e24ac35ca39ee49846fea837"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3733d855e24ac35ca39ee49846fea837">&#9670;&nbsp;</a></span>csFwInstallationReduLibVersion</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const string csFwInstallationReduLibVersion = &quot;8.4.5&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Version of this library. Used to determine the coherency of all libraries of the installation tool Please do not edit it manually </p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
